package com.zehong.system.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;

public class UserManageGasUserExportVo {

    /** 用户账号 */
    @Excel(name = "用户自有编号")
    private String userOwnId;

    /** id */
    @Excel(name = "id/此列内容不允许修改")
    private Long userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String nickName;

    @Excel(name = "燃气类型(0-天然气;1-液化气)")
    private String gasType;

    /** 用户类型（1-居民用户;2-工商业用户;4-餐饮单位用户） */
    @Excel(name = "用户类型(1-居民用户;2-工商业用户;4-餐饮单位用户)")
    private String userType;

    /**
     * 所属企业名称
     */
    @Excel(name = "所属企业")
    private String beyondEnterpriseName;

    private String beyondEnterpriseId;

    /**
     * 居住区(村、庄)
     */
    @Excel(name = "居住区(村、庄)")
    private String villageName;

    /**
     * 居住区村庄id
     */
    private Long villageId;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkman;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 错误信息 */
    @Excel(name = "错误信息")
    private String errorMsg;

    public String getUserOwnId() {
        return userOwnId;
    }

    public void setUserOwnId(String userOwnId) {
        this.userOwnId = userOwnId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getGasType() {
        return gasType;
    }

    public void setGasType(String gasType) {
        this.gasType = gasType;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getBeyondEnterpriseName() {
        return beyondEnterpriseName;
    }

    public void setBeyondEnterpriseName(String beyondEnterpriseName) {
        this.beyondEnterpriseName = beyondEnterpriseName;
    }

    public String getVillageName() {
        return villageName;
    }

    public void setVillageName(String villageName) {
        this.villageName = villageName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLinkman() {
        return linkman;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Long getVillageId() {
        return villageId;
    }

    public void setVillageId(Long villageId) {
        this.villageId = villageId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getBeyondEnterpriseId() {
        return beyondEnterpriseId;
    }

    public void setBeyondEnterpriseId(String beyondEnterpriseId) {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }
}
